Subject: Re: [PATCHv2 0/8] arm64: ftrace cleanup + FTRACE_WITH_REGS

From: Mark Rutland <[email-masked]>
Date: Fri, 1 Nov 2019 16:28:58 +0000

On Fri, Nov 01, 2019 at 04:39:30PM +0100, Sven Schnelle wrote:
> On Tue, Oct 29, 2019 at 04:58:24PM +0000, Mark Rutland wrote:
> > This series is a reworked version of Torsten's FTRACE_WITH_REGS series
> > [1]. I've tried to rework the existing code in preparatory patches so
> > that the patchable-function-entry bits slot in with fewer surprises.
> > This version is based on v5.4-rc3, and can be found in my
> > arm64/ftrace-with-regs branch [2].
> > 
> > Patch 1 adds an (optional) ftrace_init_nop(), which the core code uses
> > to initialize callsites. This allows us to avoid a synthetic MCOUNT_ADDR
> > symbol, and more cleanly separates the one-time initialization of the
> > callsite from dynamic NOP<->CALL modification. Architectures which don't
> > implement this get the existing ftrace_make_nop() with MCOUNT_ADDR.
> > 
> > Recently parisc gained ftrace support using patchable-function-entry.
> > Patch 2 makes the handling of module callsite locations common in
> > kernel/module.c with a new FTRACE_CALLSITE_SECTION definition, and
> > removed the newly redundant bits from arch/parisc.

> > Since v1 [3]:
> > * Add a couple of people to Cc
> > * Fold in Ard's Reviewed-by tag
> > * Rename ftrace_code_init_disabled() to ftrace_nop_initialize()
> > * Move ftrace_init_nop() to <linux/ftrace.h>, with kerneldoc
> > * Update kerneldoc for rec parameters
> [..]
> 
> I tested this series on parisc both with ftracing kernel internal functions and
> module functions. Both are working fine, so feel free to add my
> 
> Tested-by: Sven Schnelle <[email-masked]>

Thanks! That's much appreciated.

I've applied that to patches 1 and 2, since the remainder of the series was
confined to arch/arm64/.

Mark.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel